#
# spec file for package ncpfs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ncpfs
BuildRequires:  pam-devel
License:        GPLv2+
Group:          Productivity/Networking/Novell
AutoReqProv:    on
Version:        2.2.6
Release:        169.170.1
PreReq:         %insserv_prereq %fillup_prereq permissions
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Tools for Accessing Novell File Systems
Source:         ftp://platan.vc.cvut.cz/pub/linux/ncpfs/ncpfs-%{version}.tar.bz2
Source1:        ncpfs.hu.po.bz2
Source2:        baselibs.conf
Source10:       ncpfs-ipxmount
Source11:       ncpfs-ipxmount.sysconfig
Source12:       ncpfs-example.tar.bz2
Source20:       cups-novell.pl
Patch403:       ncpfs-hg-commit-403.patch
Patch404:       ncpfs-hg-commit-404.patch
Patch405:       ncpfs-hg-commit-405.patch
Patch406:       ncpfs-hg-commit-406.patch
Patch407:       ncpfs-hg-commit-407.patch
Patch408:       ncpfs-hg-commit-408.patch
Patch409:       ncpfs-hg-commit-409.patch
Patch410:       ncpfs-hg-commit-410.patch
Patch411:       ncpfs-hg-commit-411.patch
Patch412:       ncpfs-hg-commit-412.patch
Patch413:       ncpfs-hg-commit-413.patch
Patch414:       ncpfs-hg-commit-414.patch
Patch415:       ncpfs-hg-commit-415.patch
Patch416:       ncpfs-hg-commit-416.patch
Patch417:       ncpfs-hg-commit-417.patch
Patch419:       ncpfs-hg-commit-419.patch
Patch420:       ncpfs-hg-commit-420.patch
Patch421:       ncpfs-hg-commit-421.patch
Patch422:       ncpfs-hg-commit-422.patch
Patch423:       ncpfs-hg-commit-423.patch
Patch424:       ncpfs-hg-commit-424.patch
Patch425:       ncpfs-hg-commit-425.patch
Patch426:       ncpfs-hg-commit-426.patch
Patch427:       ncpfs-hg-commit-427.patch
Patch428:       ncpfs-hg-commit-428.patch
Patch429:       ncpfs-hg-commit-429.patch
Patch430:       ncpfs-hg-commit-430.patch
Patch431:       ncpfs-hg-commit-431.patch
Patch432:       ncpfs-hg-commit-432.patch
Patch433:       ncpfs-hg-commit-433.patch
Patch434:       ncpfs-hg-commit-434.patch
Patch435:       ncpfs-hg-commit-435.patch
Patch436:       ncpfs-hg-commit-436.patch
Patch437:       ncpfs-hg-commit-437.patch
Patch438:       ncpfs-hg-commit-438.patch
Patch439:       ncpfs-hg-commit-439.patch
Patch440:       ncpfs-hg-commit-440.patch
Patch441:       ncpfs-hg-commit-441.patch
Patch442:       ncpfs-hg-commit-442.patch
Patch443:       ncpfs-hg-commit-443.patch
Patch444:       ncpfs-hg-commit-444.patch
Patch445:       ncpfs-hg-commit-445.patch
Patch446:       ncpfs-hg-commit-446.patch
Patch447:       ncpfs-hg-commit-447.patch
Patch448:       ncpfs-hg-commit-448.patch
Patch449:       ncpfs-hg-commit-449.patch
Patch450:       ncpfs-hg-commit-450.patch
Patch451:       ncpfs-hg-commit-451.patch
Patch452:       ncpfs-hg-commit-452.patch
Patch453:       ncpfs-hg-commit-453.patch
Patch454:       ncpfs-hg-commit-454.patch
Patch455:       ncpfs-hg-commit-455.patch
Patch456:       ncpfs-hg-commit-456.patch
Patch457:       ncpfs-hg-commit-457.patch
Patch458:       ncpfs-hg-commit-458.patch
Patch1002:      ncpfs.LDFLAGS.patch
Patch1003:      ncpfs.pam_ncp_auth.syslog.patch
Patch1005:      ncpfs.offsetof.patch
Patch1006:      ncpfs.mount_hang.patch
Patch1007:      ncpfs-2.2.6-mount-issue-ver2.patch
Patch1008:      ncpfs-2_2_6_partial.patch
Patch1009:      ncpfs-CVE-2011-1679-CVE-2011-1680.patch
# In openSUSE 11.3 there is upstream compliant CUPS 1.4
# which means to have a fixed "/usr/lib/cups/" directory
# on all platforms (see Novell/Suse Bugzilla bnc#575544):
%if 0%{?suse_version} > 1120
%define cups_lib_dir %{_prefix}/lib/cups
%else
%define cups_lib_dir %{_libdir}/cups
%endif

%description
With this program, you can mount Netware server file systems under
Linux. You can even print Linux documents on printers attached to a
Novell server.



Authors:
--------
    Petr Vandrovec <vandrove@vc.cvut.cz>

%package devel
License:        GPLv2+
Summary:        Tools for Accessing Novell Filesystems
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} glibc-devel 

%description devel
This package contains the libraries and header files to link against
libncp.

You can mount Netware-server filesystems under Linux using this little
tool. You can even print Linux documents on printers attached to the
Novell server.



Authors:
--------
    Petr Vandrovec <vandrove@vc.cvut.cz>

%prep
%setup -q
%patch403 -p1
%patch404 -p1
%patch405 -p1
%patch406 -p1
%patch407 -p1
%patch408 -p1
%patch409 -p1
%patch410 -p1
%patch411 -p1
%patch412 -p1
%patch413 -p1
%patch414 -p1
%patch415 -p1
%patch416 -p1
%patch417 -p1
%patch419 -p1
%patch420 -p1
%patch421 -p1
%patch422 -p1
%patch423 -p1
%patch424 -p1
%patch425 -p1
%patch426 -p1
%patch427 -p1
%patch428 -p1
%patch429 -p1
%patch430 -p1
%patch431 -p1
%patch432 -p1
%patch433 -p1
%patch434 -p1
%patch435 -p1
%patch436 -p1
%patch437 -p1
%patch438 -p1
%patch439 -p1
%patch440 -p1
%patch441 -p1
%patch442 -p1
%patch443 -p1
%patch444 -p1
%patch445 -p1
%patch446 -p1
%patch447 -p1
%patch448 -p1
%patch449 -p1
%patch450 -p1
%patch451 -p1
%patch452 -p1
%patch453 -p1
%patch454 -p1
%patch455 -p1
%patch456 -p1
%patch457 -p1
%patch458 -p1
#
%patch1002 -p1
%patch1003 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1
%patch1008 -p1
%patch1009 -p1
tar xfvj %{SOURCE12}
if [ "$UID" = 0 ] ; then chown -R 0:0 . ; fi

%build
cp %{S:1} hu.po.bz2
bunzip2 hu.po.bz2
mv hu.po po
CFLAGS="$RPM_OPT_FLAGS" \
%configure \
	--enable-pam \
	--disable-warnings
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d 
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT%{cups_lib_dir}/backend
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/src/packages/BUILD/ncpfs-%{version}/lib"
make \
DESTDIR=$RPM_BUILD_ROOT \
LIB_PAM_SECURITY=/%{_lib}/security \
install install-dev
rm $RPM_BUILD_ROOT/usr/bin/ncplogout
mv contrib/pam/README{,.pam}
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT/etc/init.d/ipxmount
ln -sv ../../etc/init.d/ipxmount $RPM_BUILD_ROOT/usr/sbin/rcipxmount
cp -av %{SOURCE11} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.%{name}
chmod -R a+rX ncpfs-example
install -m 755 %{SOURCE20} $RPM_BUILD_ROOT%{cups_lib_dir}/backend/novell
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal ipxmount

%post
/sbin/ldconfig
%{fillup_and_insserv ipxmount}

%postun
/sbin/ldconfig
%restart_on_update ipxmount
%{insserv_cleanup}

%verifyscript
%verify_permissions -e /usr/bin/ncpmount -e /usr/bin/ncpumount -e /usr/bin/ncplogin -e /usr/bin/ncpmap -e /usr/bin/nwsfind

%files -n ncpfs -f %{name}.lang
%defattr(-,root,root)
%doc BUGS Changes COPYING FAQ README ncpfs*.lsm
%doc contrib/pam/README.pam
%doc ncpfs-example
%attr(-,root,root) /etc/init.d/*
%attr(-,root,root) /sbin/*
%attr(-,root,root) /usr/sbin/*
%attr(4750,root,trusted) /usr/bin/nwsfind
%attr(4750,root,trusted) /usr/bin/ncplogin
%attr(4750,root,trusted) /usr/bin/ncpmap
%attr(4750,root,trusted) /usr/bin/ncpmount
%attr(4750,root,trusted) /usr/bin/ncpumount
/usr/bin/ipx_*
/usr/bin/ncopy
/usr/bin/nprint
/usr/bin/nsend
/usr/bin/nwauth
/usr/bin/nwbocreate
/usr/bin/nwbols
/usr/bin/nwboprops
/usr/bin/nwborm
/usr/bin/nwbpadd
/usr/bin/nwbpcreate
/usr/bin/nwbprm
/usr/bin/nwbpset
/usr/bin/nwbpvalues
/usr/bin/nwdir
/usr/bin/nwdpvalues
/usr/bin/nwfsctrl
/usr/bin/nwfsinfo
/usr/bin/nwfstime
/usr/bin/nwgrant
/usr/bin/nwlistsalvage
/usr/bin/nwpasswd
/usr/bin/nwpjmv
/usr/bin/nwpqjob
/usr/bin/nwpurge
/usr/bin/nwrevoke
/usr/bin/nwrights
/usr/bin/nwsalvage
/usr/bin/nwtrustee
/usr/bin/nwtrustee2
/usr/bin/nwuserlist
/usr/bin/nwvolinfo
/usr/bin/p*
/usr/bin/slist
%{_libdir}/libncp.so.*
/%{_lib}/security/pam_ncp_auth.so
%doc /usr/share/man/man?/*
/var/adm/fillup-templates/*
%{cups_lib_dir}

%files devel
%defattr(-,root,root)
/usr/include/ncp
%{_libdir}/libncp.a
%{_libdir}/libncp.so

%changelog
* Tue Aug  9 2011 meissner@suse.de
- correct permissions handling
- remove mtab locks on failure to mount (CVE-2011-1680 / bnc#686554)
- do not corrupt /etc/mtab on addmntent() failures like for filesystem
  limited exceeded (CVE-2011-1679 / bnc#686554)
* Wed May  5 2010 meissner@suse.de
- Fixed information leakage on mount (CVE-2010-0790 / bnc#583536)
- Fixed mtab locking problem (CVE-2010-0791 / bnc#583536)
  ncpfs-2_2_6_partial.patch
- Fixed race condition in ncpfs mounts (CVE-2010-0788 / bnc#550004)
  ncpfs-2.2.6-mount-issue-ver2.patch
* Tue Apr 27 2010 jsmeix@suse.de
- In openSUSE 11.3 there is upstream compliant CUPS 1.4
  which means to use a fixed "/usr/lib/cups/" directory
  for /usr/lib/cups/backend/novell on all platforms
  (see Novell/Suse Bugzilla bnc#575544).
* Mon Feb  1 2010 jengelh@medozas.de
- Package baselibs.conf
* Wed Dec  2 2009 sclark@novell.com
- Fixed bnc#527802 - migedir hangs on ncpmount if Netware server does not
  hold a replica.
* Tue Jul 14 2009 aj@suse.de
- Make ipxmount init script executable (bnc#488455).
* Thu Jun 25 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Thu Aug 28 2008 kukuk@suse.de
- Fix init script dependencies to network and remotefs
* Thu Aug 28 2008 olh@suse.de
- move Required-Start/Stop to ShouldStart/Stop
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Feb 25 2008 crrodriguez@suse.de
- fix file-not-in-lang issues
* Mon Nov 19 2007 olh@suse.de
- update encoding and strings in example files
* Thu May 17 2007 olh@suse.de
- update to hg revision 458
  new nwsalvage tool
  misc small fixes
* Wed Feb  7 2007 olh@suse.de
- add Hungarian translation for ncpfs (242603)
* Sat Apr 29 2006 olh@suse.de
- use privat offsetof macro
* Wed Mar 22 2006 lmuelle@suse.de
- Add cups novell backend from the cups-backends package here.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 olh@suse.de
- remove /usr/bin/ncplogout after make install, it wasnt packaged before
* Sat Nov 19 2005 olh@suse.de
- add strict aliasing fix
* Fri Sep 23 2005 olh@suse.de
- include syslog.h in pam_ncp
* Tue Jun 21 2005 schwab@suse.de
- Fix last change.
* Mon Jun 20 2005 olh@suse.de
- fix a few possible uninitialized variables
  build with -fpie/pie
* Thu Apr  7 2005 mmj@suse.de
- fix for gcc4
* Fri Jan 28 2005 olh@suse.de
- update to 2.2.6
* Tue Jan 11 2005 olh@suse.de
- add fix for possible buffer overflow in ncplogin (#49677 - CAN-2005-0014)
  add translations for cs de es fr hu it ja pt_BR zh_CN zh_TW (#49687)
* Tue Dec 14 2004 olh@suse.de
- update to 2.2.5
* Tue Oct  5 2004 olh@suse.de
- add charset option to ipxmount (#46782)
  NVIOCHARSET defaults to utf8
* Sat Sep 25 2004 olh@suse.de
- add NVUSEROPTS to sysconfig (#46105)
* Mon Mar  1 2004 olh@suse.de
- update to 2.2.4
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Tue Jan 13 2004 adrian@suse.de
- package files with correct attributes
* Mon Jan 12 2004 ro@suse.de
- fixed %%attr in filelist
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Tue Sep  2 2003 mmj@suse.de
- Add sysconfig metadata [#28905]
* Mon Jul 21 2003 olh@suse.de
- more chown fixes
* Fri Jul 18 2003 olh@suse.de
- chown syntax changed in incompatible way
  NWDSReadAttrDef request buffers should be filled with
  NWDSPutAttrName, not with NWDSPutClassItem.
  Rename pqrm to nwpqjob, add support for resuming held print jobs
* Sat Jul  5 2003 olh@suse.de
- update to 2.2.3, apply bk latest ChangeSet 1.268
* Thu Jun 12 2003 olh@suse.de
- remove /etc/init.d from filelist
* Sat Feb  8 2003 olh@suse.de
- update to 2.2.1
  add more rcipxmount changes, from Dieter Jurzitza
  add TCP/IPX sysconfig option, default IPX
  add codepage sysconfig option
* Wed Jan 22 2003 olh@suse.de
- update sysconfig data to the new metadata format (#22661)
  use ncpfs- as prefix for all source files
* Sat Aug 10 2002 kukuk@suse.de
- Fix last change
* Fri Aug  9 2002 olh@suse.de
- devel requires base package
* Wed Jul 31 2002 olh@suse.de
- add PreReq insserv_prereq fillup_prereq
  change default permissions for some files to 4750 root.trusted
* Tue Jul 23 2002 olh@suse.de
- remove modprobe call in rcipxmount
  call modprobe with empty env in ncpmount and ncplogin
  fix possible buffer overflow in ncplogin
* Mon Jul 22 2002 olh@suse.de
- run ldconfig in postinstall
* Mon Jul 22 2002 olh@suse.de
- add rcipxmount script, provided by Dieter Jurzitza (#12485)
* Sun Jul 21 2002 olh@suse.de
- update to 2.2.0.19
* Mon May 27 2002 sf@suse.de
- lib64 fixes
* Tue May 14 2002 schwab@suse.de
- Reenable function/data sections on ia64.
* Sun May 12 2002 schwab@suse.de
- Fix type conflicts.
* Fri Nov 16 2001 olh@suse.de
- fix putonftp
* Fri Nov 16 2001 olh@suse.de
- add ncpfs-2.2.0.18-sec1.diff
  Fixed a bufferoverflow in ncpmount/ncpumount (by krahmer@suse.de)
  putonftp
* Fri Aug 24 2001 olh@suse.de
- fix typo in specfile which includes the Buildroot in search path
  slist was affected
* Wed Jan 24 2001 sf@suse.de
- removed '-ffunction-sections -fdata-sections' for IA64
- removed all implicit declarations
* Tue Dec 12 2000 olh@suse.de
- really fixed the mandir
* Tue Dec 12 2000 ro@suse.de
- specfile fixed for mandir
* Tue Dec 12 2000 ro@suse.de
- filelist fix
* Mon Dec 11 2000 olh@suse.de
- update to 2.2.0.18
* Sun Nov 26 2000 kukuk@suse.de
- fix spec file
* Fri Nov 24 2000 olh@suse.de
- create -devel package, fix group tag
* Sun Jan 30 2000 olh@suse.de
- update to version 2.2.0.16
  /usr/man -> /usr/share/man
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 20 1999 ro@suse.de
- simply define NR_OPEN if not defined by libc
* Mon Mar  1 1999 ro@suse.de
- ncpmount: for glibc-2.1 include linux/limits instead of sys/params
  to get NR_OPEN
* Tue Nov 24 1998 ro@suse.de
- cleanup
* Tue Nov 24 1998 ro@suse.de
- added .so link (in /usr/lib)
* Tue Sep 22 1998 ro@suse.de
- update to 2.2.0
- changed ifdef __GLIBC__ in include/kernel/types.h to if 0
* Tue Jun  3 1997 vl@suse.de
  new version 2.0.10
* Thu Jan  2 1997 bs@suse.de
  new version 2.0.6
